bumpfontversion:(1)

NAME
bumpfontversion - bump a font source version

SYNOPSIS
usage: bumpfontversion [-h] [--dry-run] [--verbose] [--commit] [--tag] [--sign-tags] [--tag-name TAG_NAME] [--tag-message TAG_MESSAGE] [--message COMMIT_MSG] [--commit-args COMMIT_ARGS] (--new-version VERSION | --part {major,minor}) [file ...]

POSITIONAL ARGUMENTS:
file Files to change

OPTIONS:

-h, --help
    show this help message and exit

--dry-run, -n
    Don't write any files, just pretend.

--verbose, -V
    Print verbose logging to stderr.

--commit
    Commit to version control

--tag
    Create a tag in version control

--sign-tags
    Sign tags if created

--tag-name TAG_NAME
    Tag name (only works with --tag)

--tag-message TAG_MESSAGE
    Tag message

--message, -m COMMIT_MSG
    Commit message

--commit-args COMMIT_ARGS
    Extra arguments to commit command

--new-version VERSION
    New version that should be in the files

--part {major,minor}
    Part of the version to be bumped.

EXAMPLES
Set the version directly to 0.5:

    bumpfontversion --new-version 0.5 MyFont.ufo

Upgrade the minor version:

    bumpfontversion --part minor MyFont.glyphs

Upgrade the major version:

    bumpfontversion --part major MyFont.glyphs